Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 970456 - createrepo moves group file
createrepo moves group file
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: createrepo (Show other bugs)
20
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 01:24 EDT by ceason
Modified: 2015-06-29 07:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1104840 (view as bug list)
Environment:
Last Closed: 2015-06-29 07:59:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ceason 2013-06-04 01:24:04 EDT
Description of problem:
Createrepo in RHEL 6.4 RC1 is removing the group file

Version-Release number of selected component (if applicable):

cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.4 (Santiago)

uname -a
Linux mgmt002st001 2.6.32-358.6.2.el6.x86_64 #1 SMP Tue May 14 15:48:21 EDT 2013 x86_64 x86_64 x86_64 GNU/Linux

rpm -qa | grep createrepo
createrepo-0.9.9-17.el6.noarch


How reproducible:
Createrepo with group file



Steps to Reproduce:
1.
Have group file in this case comps.xml

]# ls /test/test/repodata/
0451b6e8b4666191142ec941e74fb404aa33fc8acb0f562345279d83710fc815-primary.xml.gz        comps.xml
2275ff9e3c03088a529f76bde21b788fb0343627b4ed897a27dc72495482af13-filelists.sqlite.bz2  comps.xml.gz
547bb0aa6f4742585a437ec6683af30699ff7d60fe84c9f041f0e152a619ac24-comps.xml.gz          filelists.xml.gz
8200e7990eb16b594e5777f069d6b34c38b01934488a088c3208e74ae2579a24-other.xml.gz          other.xml.gz
8931045ac85689b1aa4d9003ff853ef13eb8fe60946762b40060823af74f8042-comps.xml             primary.xml.gz
896166091ce629c6d4cefd8f590f73086873bdb76a5a6e8bee809136dc14df55-other.sqlite.bz2      repomd.xml
a91d0b316631bce9ec9485ab29f3d872f741aa360d59f9f636e851a32b09e44e-primary.sqlite.bz2    TRANS.TBL
cd54922104a71c2dc162ab6ea02157cfa23cbfc4996b277cb2b95ac6c48d9226-filelists.xml.gz
# 


2.
Run createrepo with -g option and xml group file
/usr/bin/createrepo -v -g /test/test/repodata/comps.xml /test/test/
Spawning worker 0 with 102 pkgs

3.
The comps.xml file now does not exist.

# ls /test/test/repodata/
0451b6e8b4666191142ec941e74fb404aa33fc8acb0f562345279d83710fc815-primary.xml.gz
2275ff9e3c03088a529f76bde21b788fb0343627b4ed897a27dc72495482af13-filelists.sqlite.bz2
547bb0aa6f4742585a437ec6683af30699ff7d60fe84c9f041f0e152a619ac24-comps.xml.gz
8200e7990eb16b594e5777f069d6b34c38b01934488a088c3208e74ae2579a24-other.xml.gz
8931045ac85689b1aa4d9003ff853ef13eb8fe60946762b40060823af74f8042-comps.xml
896166091ce629c6d4cefd8f590f73086873bdb76a5a6e8bee809136dc14df55-other.sqlite.bz2
a91d0b316631bce9ec9485ab29f3d872f741aa360d59f9f636e851a32b09e44e-primary.sqlite.bz2
cd54922104a71c2dc162ab6ea02157cfa23cbfc4996b277cb2b95ac6c48d9226-filelists.xml.gz
comps.xml.gz
filelists.xml.gz
other.xml.gz
primary.xml.gz
repomd.xml
TRANS.TBL


Actual results:
repo is updated but group file is removed.  Later if rpms are updated the same command will fail because group file no longer exists

Expected results:
yum repo is updated and group file still exists.  This was the behavior in pre-RHEL 6.4 version

Additional info:
Comment 1 ceason 2013-06-04 01:39:16 EDT
Made the comps.xml immutable and received the following error which should help track it down

Workers Finished
Gathering worker results

Saving Primary metadata
Saving file lists metadata
Saving other metadata
Generating sqlite DBs
Starting other db creation: Mon Jun  3 22:34:46 2013
Ending other db creation: Mon Jun  3 22:34:46 2013
Starting filelists db creation: Mon Jun  3 22:34:47 2013
Ending filelists db creation: Mon Jun  3 22:34:47 2013
Starting primary db creation: Mon Jun  3 22:34:47 2013
Ending primary db creation: Mon Jun  3 22:34:47 2013
Sqlite DBs complete
Could not remove old metadata file: /test/test/.olddata/comps.xml: [Errno 1] Operation not permitted: '/test/test/.olddata/comps.xml'
]#


No idea how .olddata is being used which must be part of how it is implemented. 


Also note the page will not allow me to move this issue to RHEL 6.4
Comment 2 ceason 2013-06-04 14:32:37 EDT
Additional issue seen
 /usr/bin/createrepo -v -g /test/test/repodata/*comps-rhel6-Server.xml /test/test/


 File "/usr/share/createrepo/genpkgmetadata.py", line 291, in <module>
main(sys.argv[1:])
File "/usr/share/createrepo/genpkgmetadata.py", line 269, in main
mdgen.doRepoMetadata()
File "/usr/lib/python2.6/site-packages/createrepo/__init__.py", line 1073, in doRepoMetadata
mdcontent = self._createRepoDataObject(self.conf.groupfile, 'group_gz')
File "/usr/lib/python2.6/site-packages/createrepo/__init__.py", line 884, in _createRepoDataObject
(csum, outfn) = checksum_and_rename(outfn, self.conf.sumtype)
File "/usr/lib/python2.6/site-packages/createrepo/utils.py", line 170, in checksum_and_rename
os.rename(fn_path, csum_path)
OSError: [Errno 36] File name too long



Backleveled from createrepo-0.9.9-17.el6.noarch.rpm to createrepo-0.9.8-5.el6.noarch.rpm

Old version works as expected.
Comment 3 ceason 2013-06-04 17:18:56 EDT
This option seems to fix both issues --simple-md-filenames
Comment 4 Fedora End Of Life 2013-09-16 10:05:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 5 Fedora End Of Life 2015-05-29 05:05:52 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-06-29 07:59:23 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.